<template>
  <view class="u-page">
    <z-paging
      ref="paging"
      inside-more
      loading-more-no-more-text="咱也是有底线的！"
      :auto-show-back-to-top="true"
      v-model="dataList"
      @query="queryList"
    >
     <template #top>
        <navBarSearch :searchWord="keyWord" :navName="navName" @changeWord="changeWord"></navBarSearch>
          <view class="detail" v-if="isSearch">
          <view class="desc" >检索到：<text class="red">{{numInfo.search_article_num}}篇文章</text></view>
          <view class="desc">检索到：<text class="red">{{numInfo.search_video_num}}个视频</text></view>
          <view class="desc" v-if="keyWord">检索词：<text class="red">{{ keyWord }}</text></view>
        </view>
        <view class="tabcon">
           <up-tabs   :activeStyle="{
        color: '#3CC7C0'
    }"
    :inactiveStyle="{
        color: '#4B5563',
    }"  lineColor="#3CC7C0" lineWidth="155rpx" lineHeight="2" :list="tabList" @click="switchTab"></up-tabs>
        </view>
      </template> 
      <view class="item" v-for="(item, index) in dataList" :key="index" @click="goDetail(item.cert_image)">
        <view class="title ellipsis">{{tab==0?item.article_title:item.video_title }}</view>
        <view class="tagsbox">
              <view class="tag" v-for="tag in item.author" :key="tag.author_id">{{ tag.doctor_name }}</view>
        </view>
        <view class="deal">
          <view class="left">
              <view class="recored">
                <up--image
              :src="certImg"
              width="39rpx"
              height="39rpx"
            ></up--image>
              收录证书
              </view>
          </view>
          <view class="time">
            <up-icon name="clock" color="#6B7280" size="28rpx"></up-icon>
            <view class="num">{{formatdate(item.push_date) }}</view>
          </view>
        </view>
		</view>
    </z-paging>
  </view>
</template>

<script setup>
import { ref, reactive } from "vue";
import navBarSearch from "@/components/navBarSearch/navBarSearch.vue";
import list from "@/uni_modules/z-paging/components/z-paging/z-paging";
import api from "@/api/api";
import { onLoad } from "@dcloudio/uni-app";
import dayjs from "dayjs";
import switchImg from "@/static/switch.png";
import navTo  from "@/utils/navTo.js";
import certImg  from "@/static/cert.png";
const paging = ref(null);
const isSearch=ref(false);
const dataList = ref([]);
const total = ref(0);
const value = ref("");
const keyWord = ref("");
const tab=ref(0);
const hospital_id=ref('');
const doctor_id=ref('');
const numInfo=reactive({});
const navName=ref('肝胆相照临床病例库')

const formatdate=(date)=>{
  return dayjs(date).format('YYYY-MM-DD')
}
const tabList=ref([{

                    name: '文章病例库',
                }, {
                    name: '视频病例库',
                }])

const switchTab=(index)=>{
  tab.value=index.index;
  paging.value.reload();
}
onLoad((options) => {
  if(options.keyWord){
    keyWord.value = options.keyWord;
  };
  if(options.doctor_id){
    doctor_id.value=options.doctor_id;
  }
})
const goDetail=(url)=>{

  navTo({
    url: `/pages/certImg/certImg?src=${url}`
  })
}
const changeWord=(val)=>{
  keyWord.value=val;
  isSearch.value=true;
  paging.value.reload();
}
const searchArticle =(params) => {
  let searchForm={
      keyword: keyWord.value,
      doctor_id:doctor_id.value,
    }
  if(isSearch.value){
    formatdate.is_need_num=1
  }
  api.searchArticle({
	    ...searchForm,
      ...params
  }).then((res)=>{
    paging.value.complete(res.data.data.data);
     total.value=res.data.data.total;
      numInfo.search_article_num=res.data.data.search_article_num;
     numInfo.search_video_num=res.data.data.search_video_num;
  }).catch(err=>{
    paging.value.complete(false);
 })
}

const searchVideo = async(params) => {
  let searchForm={
      keyword: keyWord.value,
      doctor_id:doctor_id.value,
    }
	
  api.searchVideo({
    ...searchForm,
    ...params
  }).then((res)=>{
     paging.value.complete(res.data.data.data);
     total.value=res.data.data.total;
     numInfo.search_article_num=res.data.data.search_article_num;
     numInfo.search_video_num=res.data.data.search_video_num;
  }).catch(err=>{
    paging.value.complete(false);
 })
}
const getStaticDoctor=(id)=>{
  api.getStaticDoctor(id).then((res)=>{
    let result=res.data.data;
      Object.assign(numInfo,result); 
  })
}
const getStaticHospital=(id)=>{
  api.getStaticHospital(id).then((res)=>{
    let result=res.data.data;
      Object.assign(numInfo,result); 
  })
}


const queryList = (pageNo, pageSize) => {
  console.log(666666);
  const params = {
    page: pageNo,
    page_size: pageSize,
  };
 tab.value==0?searchArticle(params):searchVideo(params)
};
</script>

<style lang="scss" scoped>
.detail {
  background: #f9f9f9;
  padding: 12rpx 30rpx;
  .desc {
    font-size: 26rpx;
    color: #4b5563;
    line-height: 40rpx;
  }
  .red{
     color: #FF0000;
  }
}
.tabcon{
  margin:0 20rpx;
}
.databox {
  height: 162rpx;
  background: #ffffff;
  display: flex;
  margin-bottom: 20rpx;
  // padding: 0 30rpx;
  justify-content: space-between;
  .cell {
    flex: 1;
    padding: 35rpx 0;

    text-align: center;

    .num {
      font-size: 38rpx;
      color: #3cc7c0;
    }
    .name {
      margin-top: 18rpx;
      font-size: 28rpx;
      color: #4b5563;
    }
  }
}
 :deep(.u-flex) {
    display: flex;
    flex-direction:row;
	overflow: hidden;

  }
  :deep(.u-dropdown__menu){
	 	
    background: #fff;
    z-index:1;
    margin-left: -30rpx;

  }
  :deep(.u-dropdown__menu__item){
	 
        height:74rpx;
        padding:0 20rpx;
        background: #F3F4F6;
        border-radius: 15rpx;
	    flex:none;
		margin-left: 60rpx;
     
  }
.u-page {
 
  .deal {
    margin-top: 20rpx;
    display: flex;
    color: #6b7280;
    font-size: 24rpx;
    justify-content: space-between;
    .left {
      display: flex;
      align-items: center;
    }
    .recored{
      display: flex;
      align-items: center;
      font-size: 31rpx;
     color: #3CC7C0;
    }
    .collect {
      display: flex;
      align-items: center;
    }
    .eyebox {
      width: 160rpx;
      display: flex;
      align-items: center;
    }
    .time {
      display: flex;
      align-items: center;
    }
    .num {
      margin-left: 8rpx;
    }
  }
  .item {
    border-bottom: 1rpx solid #f3f4f6;
    padding: 30rpx;
    .title {
      font-size: 30rpx;
      color: #111827;
      line-height: 46rpx;
    }
  }
  .tagsbox {
    margin-top: 20rpx;
    display: flex;
    .tag {
      padding: 0 10rpx;
      margin-right: 16rpx;
      height: 46rpx;
      line-height: 46rpx;
      text-align: center;
      background: rgba(60, 199, 192, 0.1);
      border-radius: 8rpx;
      font-weight: 400;
      font-size: 24rpx;
      color: #3cc7c0;
    }
  }
}
.detail {
  background: #f9f9f9;
  padding: 12rpx 30rpx;
  .desc {
    font-size: 26rpx;
    color: #4b5563;
    line-height: 40rpx;
  }
  .red{
     color: #FF0000;
  }
}
</style>